#!/bin/bash

# 安装uv依赖，如果不存在虚拟环境，则创建
if [ ! -d "/app/.venv" ]; then
  uv sync --frozen -i https://mirrors.aliyun.com/pypi/simple/
fi
# 激活环境
source /app/.venv/bin/activate

# 启动服务
uv run streamlit run app.py --server.port 8503 --server.headless true --browser.gatherUsageStats false &
uv run python start_server.py --host 0.0.0.0 --port 5344 &

wait